org.apache.cassandra.schema

## Class KeyspaceMetadata

- java.lang.Object
- - org.apache.cassandra.schema.KeyspaceMetadata

    public final class KeyspaceMetadata
    extends java.lang.Object

An immutable representation of keyspace metadata (name, params, tables, types, and functions).

### Field Summary

Fields
`Functions` `functions`
`java.lang.String` `name`
`KeyspaceParams` `params`
`Tables` `tables`
`Types` `types`
`Views` `views`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static KeyspaceMetadata` `create(java.lang.String name, KeyspaceParams params)`
`static KeyspaceMetadata` `create(java.lang.String name, KeyspaceParams params, Tables tables)`
`static KeyspaceMetadata` `create(java.lang.String name, KeyspaceParams params, Tables tables, Views views, Types types, Functions functions)`
`boolean` `equals(java.lang.Object o)`
`java.util.Set<java.lang.String>` `existingIndexNames(java.lang.String cfToExclude)`
`java.util.Optional<CFMetaData>` `findIndexedTable(java.lang.String indexName)`
`CFMetaData` `getTableOrViewNullable(java.lang.String tableOrViewName)`
`int` `hashCode()`
`java.lang.Iterable<CFMetaData>` `tablesAndViews()`
`java.lang.String` `toString()`
`void` `validate()`
`KeyspaceMetadata` `withSwapped(Functions functions)`
`KeyspaceMetadata` `withSwapped(KeyspaceParams params)`
`KeyspaceMetadata` `withSwapped(Tables regular)`
`KeyspaceMetadata` `withSwapped(Types types)`
`KeyspaceMetadata` `withSwapped(Views views)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public final java.lang.String name

#### params

    public final KeyspaceParams params

#### tables

    public final Tables tables

#### views

    public final Views views

#### types

    public final Types types

#### functions

    public final Functions functions

### Method Detail

#### create

    public static KeyspaceMetadata create(java.lang.String name,
                                          KeyspaceParams params)

#### create

    public static KeyspaceMetadata create(java.lang.String name,
                                          KeyspaceParams params,
                                          Tables tables)

#### create

    public static KeyspaceMetadata create(java.lang.String name,
                                          KeyspaceParams params,
                                          Tables tables,
                                          Views views,
                                          Types types,
                                          Functions functions)

#### withSwapped

    public KeyspaceMetadata withSwapped(KeyspaceParams params)

#### withSwapped

    public KeyspaceMetadata withSwapped(Tables regular)

#### withSwapped

    public KeyspaceMetadata withSwapped(Views views)

#### withSwapped

    public KeyspaceMetadata withSwapped(Types types)

#### withSwapped

    public KeyspaceMetadata withSwapped(Functions functions)

#### tablesAndViews

    public java.lang.Iterable<CFMetaData> tablesAndViews()

#### getTableOrViewNullable

    @Nullable
    public CFMetaData getTableOrViewNullable(java.lang.String tableOrViewName)

#### existingIndexNames

    public java.util.Set<java.lang.String> existingIndexNames(java.lang.String cfToExclude)

#### findIndexedTable

    public java.util.Optional<CFMetaData> findIndexedTable(java.lang.String indexName)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()